View Issue Details

IDProjectCategoryView StatusLast Update
0016404MediaMonkey 5Main Panelpublic2020-03-02 13:23
ReporterLudek 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016404: GridView.restoreColumns can take more than 6 seconds in some cases
Description1) Open a root folder (e.g. your main Music folder including all tracks)
In my case it is [Music > Location > Network > NAS > Music]
2) Click "Display folders content recursivelly" button on the toolbar
so the path on the navbar is expanded to
[Music > Location > Network > NAS > Music > All] like this https://www.dropbox.com/s/p0f01m7egww4fdg/screenshot%202020-02-26%2010.40.36.png?dl=0
3) Click a folder in the grid to navigate to the particular folder
4) Click "Back" button on the navbar
=> 8 seconds UI freeze !!

Inspecting the performance using DevTools you can see that GridView.restoreColumns took more than 6 seconds, see:
https://www.dropbox.com/s/cw1090td940yf2o/screenshot%202020-02-26%2010.36.37.png?dl=0

a) it seems to unnecessary destroy and draw _all_ the LV divs again (11K tracks in my case) although the tracklist is not visible at all (only the folder grid part is visible)
b) it seems to unnecessary restore the columns that the LV has already set (as used from controlCache) !
TagsNo tags attached.
Fixed in build2229

Activities

michal

2020-02-27 17:35

developer   ~0056927

Fixed in build 2229.

Ludek

2020-03-02 13:22

developer   ~0056995

Verified 2229